Crashpad

Public Member Functions | List of all members
crashpad::internal::WorkerThreadImpl Class Referencefinal
Inheritance diagram for crashpad::internal::WorkerThreadImpl:

## Public Member Functions
| WorkerThreadImpl (WorkerThread *self, double initial_work_delay)
void | ThreadMain () override
| The thread entry point to be implemented by the subclass.
void | SignalSemaphore ()
Public Member Functions inherited from crashpad::Thread
void | Start ()
| Create a platform thread, and run ThreadMain() on that thread. Must be paired with a call to Join().
void | Join ()
| Block until ThreadMain() exits. This may be called from any thread. Must paired with a call to Start().

The documentation for this class was generated from the following file:

- util/thread/worker_thread.cc